// Class Accumulator keeps track of the state of an adding
// machine.  It accumulates digits to form entire numbers and
// either adds or subtracts those numbers to a cumulative sum.
// It also has a reset option.

class Accumulator
{
	public void clear()
	// post: current number, current sum, display all cleared
	{
	}
	
	public void addDigit(int digit)
	// post: digit is added to the end of the current number
	{
	}
	
	public void plus()
	// post: current number is added to sum and cleared, current
	//       sum is displayed
	{
	}
	
	public void minus()
	// post: current number is subtracted from sum and cleared,
	//       current sum is displayed
	{
	}
	
	public int getDisplay()
	// post: returns current display
	{
		return 0;
	}
}

// Stuart Reges
// 8/27/99
// grader: self
//
// AddingMain provides method main for a graphical adding machine.

public class AddingMain
{
	public static void main(String[] args)
	{
		AddingFrame f = new AddingFrame();
		f.show();
	}
}